using System;
using Server;
using Server.Items;

namespace Server.ACC.CSS.Systems.DarkElf
{
	public class SummonedDreadSpiderScroll : CSpellScroll
	{
		[Constructable]
		public SummonedDreadSpiderScroll() : this( 1 )
		{
		}

		[Constructable]
		public SummonedDreadSpiderScroll( int amount ) : base( typeof( SummonedDreadSpiderSpell ), 0xE39, amount )
		{
			Name = "Summoned Dread Spider scroll";
			Hue = 816;
		}

		public SummonedDreadSpiderScroll( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
